Subject: Re: Local Growers list

From: FranksFarm <[email-masked]>
Date: Mon, 18 May 1998 10:28:01 EDT

Hi

Let's hear it for Larry. Through his efforts he's helped raise "the bar" for
us folk committed to sustainable agriculture, the environment, ecology, and so
many other related topics and lists that he's helped set up at Sunsite. Thanks
so much.

Please add me to the Local Growers list...I too believe that this is of great
value. If somehow we can just piggyback our knowledge, contacts and networking
for the benefit of local( organic for me) growers.

Best wishes to all. frank